{
  "name": "webpack-tutorial-ulbi",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "start": "webpack serve --env mode=development",
    "build:dev": "webpack --env mode=development",
    "build:prod": "webpack --env mode=production",
    "build:mobile": "webpack --env mode=production --env platform=mobile",
    "build:desktop": "webpack --env mode=production --env platform=desktop",
    "typecheck": "tsc"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/core": "^7.23.2",
    "@babel/preset-react": "^7.22.15",
    "@babel/preset-typescript": "^7.23.2",
    "@types/babel__core": "^7.20.3",
    "@types/node": "^20.8.3",
    "@types/react": "^18.2.25",
    "@types/react-dom": "^18.2.11",
    "@types/webpack": "^5.28.3",
    "@types/webpack-bundle-analyzer": "^4.6.3",
    "@types/webpack-dev-server": "^4.7.2",
    "babel-loader": "^9.1.3",
    "copy-webpack-plugin": "^11.0.0",
    "css-loader": "^6.8.1",
    "html-webpack-plugin": "^5.5.3",
    "mini-css-extract-plugin": "^2.7.6",
    "sass": "^1.77.4",
    "sass-loader": "^13.3.2",
    "style-loader": "^3.3.3",
    "ts-loader": "^9.5.0",
    "ts-node": "^10.9.1",
    "typescript": "^5.2.2",
    "webpack": "5.88.2",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1"
  },
  "dependencies": {
    "@pmmmwh/react-refresh-webpack-plugin": "^0.5.11",
    "@svgr/webpack": "^8.1.0",
    "fork-ts-checker-webpack-plugin": "^9.0.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-refresh-typescript": "^2.0.9",
    "react-router-dom": "^6.16.0",
    "webpack-bundle-analyzer": "^4.9.1"
  }
}
